import * as sinon from 'ts-sinon';
import { ICoreOptions, IDataQueryBuilder, IExecutor, InMemoryCodeLoader, NunjucksCompiler } from '@vulcan-sql/core';
export declare const getTestCompiler: (config?: Partial<ICoreOptions>) => Promise<{
    builder: sinon.StubbedInstance<IDataQueryBuilder>;
    executor: sinon.StubbedInstance<IExecutor>;
    compiler: NunjucksCompiler;
    loader: InMemoryCodeLoader;
    compileAndLoad: (template: string) => Promise<{
        compiledData: string;
        metadata: import("@vulcan-sql/core").TemplateMetadata;
    }>;
    execute: (parameters: any) => Promise<import("@vulcan-sql/core").DataResult>;
    getExecutedQueries: () => Promise<string[]>;
}>;
